use strict;
use warnings;
use ExtUtils::MakeMaker;


WriteMakefile(
    NAME          => 'Fail',
    AUTHOR        => 'Vincent Pit <perl@profvince.com>',
    LICENSE       => 'perl',
    ABSTRACT      => 'Fail with Devel::Cover and coderef constants',
    PREREQ_PM     => { },
    clean         => { FILES => 'Fail-* *.gcov *.gcda *.gcno cover_db Debian_CPANTS.txt' }
);

package MY;

sub postamble {
 my $cv = join ' -coverage ', 'cover',
                            qw/statement branch condition path subroutine time/;
 <<POSTAMBLE;
cover test_cover:
	$cv -test
POSTAMBLE
}
